# Interface methods for submodule: ScalarImageToRunLengthFeaturesFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: ScalarImageToRunLengthFeaturesFilter
class ScalarImageToRunLengthFeaturesFilterProxy(_ProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetFeatureMeansOutput(self):
		""""""
		...

	def GetFeatureStandardDeviationsOutput(self):
		""""""
		...

	def SetInput(self, arg0) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def GetFeatureMeans(self):
		""""""
		...

	def GetFeatureStandardDeviations(self):
		""""""
		...

	def SetRequestedFeatures(self, _arg) -> None:
		""""""
		...

	def GetRequestedFeatures(self):
		""""""
		...

	def SetOffsets(self, _arg) -> None:
		""""""
		...

	def GetOffsets(self):
		""""""
		...

	def SetNumberOfBinsPerAxis(self, arg0: int) -> None:
		""""""
		...

	@overload
	def SetPixelValueMinMax(self, min: float, max: float) -> None:
		""""""
		...

	@overload
	def SetPixelValueMinMax(self, min: int, max: int) -> None:
		""""""
		...

	def SetDistanceValueMinMax(self, min: float, max: float) -> None:
		""""""
		...

	def SetMaskImage(self, arg0) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	@overload
	def SetInsidePixelValue(self, insidePixelValue: float) -> None:
		""""""
		...

	@overload
	def SetInsidePixelValue(self, insidePixelValue: int) -> None:
		""""""
		...

	def GetFastCalculations(self) -> bool:
		""""""
		...

	def SetFastCalculations(self, _arg: bool) -> None:
		""""""
		...

	def FastCalculationsOn(self) -> None:
		""""""
		...

	def FastCalculationsOff(self) -> None:
		""""""
		...

